echo off
:
:  rawprint - 文字コードの変換をしないで、プリンタにファイルを出力する
:
:	動作環境: PC-9801/MS-DOS, 要 print.sys
:	バグ: copy のメッセージが化けます。
:
if "%1" == "" goto usage
	: ESC ) 3 でグラフィック文字モードにすると、
	: プリンタ出力時にコード変換をしなくなる
	echo )3
	echo @ > prn
	copy /b %1 prn
	: ESC ) 0 でもとにもどす
	echo )0
	goto fin
:
:usage
	echo Usage: %0 file
	goto fin
:
:fin
